
SHELL = /bin/sh

#### Start of system configuration section. ####

srcdir = .
topdir = /usr/local/lib/ruby/1.8/mips64el-openbsd
hdrdir = $(topdir)
VPATH = $(srcdir):$(topdir):$(hdrdir)
exec_prefix = $(prefix)
prefix = $(DESTDIR)/usr/local
rubylibdir = $(libdir)/ruby/$(ruby_version)
htmldir = $(docdir)
libdir = $(exec_prefix)/lib
sharedstatedir = $(prefix)/com
docdir = $(datarootdir)/doc/$(PACKAGE)
vendorlibdir = $(vendordir)/$(ruby_version)
infodir = $(DESTDIR)/usr/local/info
pdfdir = $(docdir)
localedir = $(datarootdir)/locale
datadir = $(datarootdir)
vendordir = $(libdir)/ruby/vendor_ruby
libexecdir = $(exec_prefix)/libexec
bindir = $(exec_prefix)/bin
vendorarchdir = $(vendorlibdir)/$(sitearch)
sitedir = $(libdir)/ruby/site_ruby
sbindir = $(exec_prefix)/sbin
includedir = $(prefix)/include
datarootdir = $(prefix)/share
psdir = $(docdir)
localstatedir = $(prefix)/var
sitearchdir = $(sitelibdir)/$(sitearch)
sitelibdir = $(sitedir)/$(ruby_version)
dvidir = $(docdir)
sysconfdir = $(DESTDIR)/etc
mandir = $(DESTDIR)/usr/local/man
archdir = $(rubylibdir)/$(arch)
oldincludedir = $(DESTDIR)/usr/include

CC = cc
LIBRUBY = $(LIBRUBY_SO)
LIBRUBY_A = lib$(RUBY_SO_NAME)-static.a
LIBRUBYARG_SHARED = -Wl,-R -Wl,$(libdir) -L$(libdir) -l$(RUBY_SO_NAME)
LIBRUBYARG_STATIC = -l$(RUBY_SO_NAME)-static

RUBY_EXTCONF_H = 
CFLAGS   =  -fPIC -O2 -pipe  -fPIC $(cflags) -Wall -funroll-loops 
INCFLAGS = -I. -I. -I/usr/local/lib/ruby/1.8/mips64el-openbsd -I.
DEFS     = 
CPPFLAGS = -DHAVE_MYSQL_H -DHAVE_ERRMSG_H -DHAVE_MYSQLD_ERROR_H -DOPENSSL_NO_STATIC_ENGINE -I/usr/local/include  -DOPENSSL_NO_STATIC_ENGINE -I/usr/local/include -I/usr/local/include/mysql  -pipe   -DUNIV_MUST_NOT_INLINE
CXXFLAGS = $(CFLAGS) 
ldflags  = -L. -L/usr/local/lib -Wl,-E -Wl,-rpath,/usr/local/lib/mysql
dldflags = 
archflag = 
DLDFLAGS = $(ldflags) $(dldflags) $(archflag)
LDSHARED = $(CC) -shared  -fPIC
AR = ar
EXEEXT = 

RUBY_INSTALL_NAME = ruby18
RUBY_SO_NAME = ruby18
arch = mips64el-openbsd
sitearch = mips64el-openbsd
ruby_version = 1.8
ruby = /usr/local/bin/ruby18
RUBY = $(ruby)
RM = rm -f
MAKEDIRS = mkdir -p
INSTALL = /usr/bin/install -c 
INSTALL_PROG = $(INSTALL) -m 0755
INSTALL_DATA = install -c  -m 444
COPY = cp

#### End of system configuration section. ####

preload = 

libpath = . $(libdir) /usr/local/lib
LIBPATH =  -L. -L$(libdir) -Wl,-R$(libdir) -L/usr/local/lib -Wl,-R/usr/local/lib
DEFFILE = 

CLEANFILES = mkmf.log
DISTCLEANFILES = 

extout = 
extout_prefix = 
target_prefix = /mysql2
LOCAL_LIBS = 
LIBS = $(LIBRUBYARG_SHARED) -L/usr/local/lib/mysql -lmysqlclient -lz -lm  -lssl -lcrypto  -lm   -lc
SRCS = client.c mysql2_ext.c result.c
OBJS = client.o mysql2_ext.o result.o
TARGET = mysql2
DLLIB = $(TARGET).so
EXTSTATIC = 
STATIC_LIB = 

BINDIR        = $(bindir)
RUBYCOMMONDIR = $(sitedir)$(target_prefix)
RUBYLIBDIR = /usr/obj/ports/mysql2-0.3.10/gem-tmp/.gem/ruby/1.8/gems/mysql2-0.3.10/lib$(target_prefix)
RUBYARCHDIR = /usr/obj/ports/mysql2-0.3.10/gem-tmp/.gem/ruby/1.8/gems/mysql2-0.3.10/lib$(target_prefix)

TARGET_SO     = $(DLLIB)
CLEANLIBS     = $(TARGET).so $(TARGET).il? $(TARGET).tds $(TARGET).map
CLEANOBJS     = *.o *.a *.s[ol] *.pdb *.exp *.bak

all:		$(DLLIB)
static:		$(STATIC_LIB)

clean:
		@-$(RM) $(CLEANLIBS) $(CLEANOBJS) $(CLEANFILES)

distclean:	clean
		@-$(RM) Makefile $(RUBY_EXTCONF_H) conftest.* mkmf.log
		@-$(RM) core ruby$(EXEEXT) *~ $(DISTCLEANFILES)

realclean:	distclean
install: install-so install-rb

install-so: $(RUBYARCHDIR)
install-so: $(RUBYARCHDIR)/$(DLLIB)
$(RUBYARCHDIR)/$(DLLIB): $(DLLIB)
	$(INSTALL_PROG) $(DLLIB) $(RUBYARCHDIR)
install-rb: pre-install-rb install-rb-default
install-rb-default: pre-install-rb-default
pre-install-rb: Makefile
pre-install-rb-default: Makefile
$(RUBYARCHDIR):
	$(MAKEDIRS) $@

site-install: site-install-so site-install-rb
site-install-so: install-so
site-install-rb: install-rb

.SUFFIXES: .c .m .cc .cxx .cpp .C .o

.cc.o:
	$(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) -c $<

.cxx.o:
	$(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) -c $<

.cpp.o:
	$(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) -c $<

.C.o:
	$(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) -c $<

.c.o:
	$(CC) $(INCFLAGS) $(CPPFLAGS) $(CFLAGS) -c $<

$(DLLIB): $(OBJS) Makefile
	@-$(RM) $@
	$(LDSHARED) -o $@ $(OBJS) $(LIBPATH) $(DLDFLAGS) $(LOCAL_LIBS) $(LIBS)



$(OBJS): ruby.h defines.h
